Get payment initiation info by ID. In addition to webhooks, this endpoint can be used for polling the status of a payment initiation.
Security
UserToken or PersonalToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v1/profiles/{profileId}/batch-groups/{batchGroupId}/payment-initiations/{paymentInitiationId}
- Sandbox Environmenthttps://api.wise-sandbox.com/v1/profiles/{profileId}/batch-groups/{batchGroupId}/payment-initiations/{paymentInitiationId}
curl -i -X GET \
https://api.wise.com/v1/profiles/12345678/batch-groups/54a6bc09-cef9-49a8-9041-f1f0c654cd88/payment-initiations/12345 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Payment initiation retrieved successfully.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Payment reference that will be passed to the network. Can be used for reconciliation.
Example:"B1234567"
Payment initiation status:
NEW— Payment initiation createdPROCESSING— Payment is being processedCOMPLETED— Payment completed successfullyFAILED— Payment failedCHARGED_BACK— Payment was charged back
Enum:"NEW""PROCESSING""COMPLETED""FAILED""CHARGED_BACK"
Example:"NEW"
Transfer ID of the direct debit payment. Present only after the direct debit is initiated.
Example:null
Response
{ "id": 12345, "batchGroupId": "068e186d-9632-4937-b753-af3e53f4d0b0", "reference": "B1234567", "userId": 33333333, "profileId": 44444444, "type": "DIRECT_DEBIT", "status": "NEW", "accountId": 1, "transferId": null, "createdTime": "2022-01-01T19:51:41.423404Z" }